/* midori-settings.c generated by valac 0.20.1, the Vala compiler
 * generated from midori-settings.vala, do not modify */

/*
 Copyright (C) 2008-2013 Christian Dywan <christian@twotoasts.de>
 Copyright (C) 2011 Peter Hatina <phatina@redhat.com>

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 See the file COPYING for the full license text.
*/

#include <glib.h>
#include <glib-object.h>
#include <webkit/webkit.h>
#include <stdlib.h>
#include <string.h>
#include <float.h>
#include <math.h>
#include <gtk/gtk.h>
#include <libsoup/soup.h>


#define MIDORI_TYPE_WINDOW_STATE (midori_window_state_get_type ())

#define MIDORI_TYPE_SETTINGS (midori_settings_get_type ())
#define MIDORI_SETTINGS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MIDORI_TYPE_SETTINGS, MidoriSettings))
#define MIDORI_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MIDORI_TYPE_SETTINGS, MidoriSettingsClass))
#define MIDORI_IS_SETTINGS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MIDORI_TYPE_SETTINGS))
#define MIDORI_IS_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MIDORI_TYPE_SETTINGS))
#define MIDORI_SETTINGS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MIDORI_TYPE_SETTINGS, MidoriSettingsClass))

typedef struct _MidoriSettings MidoriSettings;
typedef struct _MidoriSettingsClass MidoriSettingsClass;
typedef struct _MidoriSettingsPrivate MidoriSettingsPrivate;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define __vala_SoupURI_free0(var) ((var == NULL) ? NULL : (var = (_vala_SoupURI_free (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

typedef enum  {
	MIDORI_WINDOW_NORMAL,
	MIDORI_WINDOW_MINIMIZED,
	MIDORI_WINDOW_MAXIMIZED,
	MIDORI_WINDOW_FULLSCREEN
} MidoriWindowState;

struct _MidoriSettings {
	WebKitWebSettings parent_instance;
	MidoriSettingsPrivate * priv;
};

struct _MidoriSettingsClass {
	WebKitWebSettingsClass parent_class;
};

struct _MidoriSettingsPrivate {
	gboolean _zoom_text_and_images;
	gboolean _remember_last_window_size;
	gint _last_window_width;
	gint _last_window_height;
	gint _last_panel_position;
	gint _last_panel_page;
	gint _last_web_search;
	gint _search_width;
	gboolean _last_inspector_attached;
	MidoriWindowState _last_window_state;
	guint _inactivity_reset;
	gchar* default_theme_name_;
	gchar* theme_name_;
	GRegex* block_uris_regex;
	gchar* _custom_title;
	gchar* _location_entry_search;
	gint _clear_private_data;
	gchar* _clear_data;
	gboolean _compact_sidepanel;
	gboolean _open_panels_in_windows;
	gboolean _right_align_sidepanel;
	gboolean _show_menubar;
	gboolean _show_navigationbar;
	gboolean _show_bookmarkbar;
	gboolean _show_panel;
	gboolean _show_statusbar;
	gboolean _show_crash_dialog;
	gchar* _toolbar_items;
	gboolean _find_while_typing;
	gdouble _zoom_level;
	gboolean _open_popups_in_tabs;
	gboolean _kinetic_scrolling;
	gboolean _middle_click_opens_selection;
	gboolean _flash_window_on_new_bg_tabs;
	gboolean _close_buttons_on_tabs;
	gboolean _open_tabs_in_the_background;
	gboolean _open_tabs_next_to_current;
	gboolean _always_show_tabbar;
	gchar* _homepage;
	gchar* _tabhome;
	gchar* _download_folder;
	gchar* _text_editor;
	gchar* _news_aggregator;
	gchar* _http_proxy;
	gint _http_proxy_port;
	gint _maximum_cache_size;
	gboolean _strip_referer;
	gboolean _first_party_cookies_only;
	gint _maximum_cookie_age;
	gint _maximum_history_age;
};


static gpointer midori_settings_parent_class = NULL;

GType midori_window_state_get_type (void) G_GNUC_CONST;
GType midori_settings_get_type (void) G_GNUC_CONST;
#define MIDORI_SETTINGS_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), MIDORI_TYPE_SETTINGS, MidoriSettingsPrivate))
enum  {
	MIDORI_SETTINGS_DUMMY_PROPERTY,
	MIDORI_SETTINGS_ENABLE_JAVASCRIPT,
	MIDORI_SETTINGS_DEFAULT_CHARSET,
	MIDORI_SETTINGS_ZOOM_TEXT_AND_IMAGES,
	MIDORI_SETTINGS_REMEMBER_LAST_WINDOW_SIZE,
	MIDORI_SETTINGS_LAST_WINDOW_WIDTH,
	MIDORI_SETTINGS_LAST_WINDOW_HEIGHT,
	MIDORI_SETTINGS_LAST_PANEL_POSITION,
	MIDORI_SETTINGS_LAST_PANEL_PAGE,
	MIDORI_SETTINGS_LAST_WEB_SEARCH,
	MIDORI_SETTINGS_SEARCH_WIDTH,
	MIDORI_SETTINGS_LAST_INSPECTOR_ATTACHED,
	MIDORI_SETTINGS_LAST_WINDOW_STATE,
	MIDORI_SETTINGS_INACTIVITY_RESET,
	MIDORI_SETTINGS_DEFAULT_THEME_NAME,
	MIDORI_SETTINGS_THEME_NAME,
	MIDORI_SETTINGS_BLOCK_URIS,
	MIDORI_SETTINGS_CUSTOM_TITLE,
	MIDORI_SETTINGS_LOCATION_ENTRY_SEARCH,
	MIDORI_SETTINGS_CLEAR_PRIVATE_DATA,
	MIDORI_SETTINGS_CLEAR_DATA,
	MIDORI_SETTINGS_COMPACT_SIDEPANEL,
	MIDORI_SETTINGS_OPEN_PANELS_IN_WINDOWS,
	MIDORI_SETTINGS_RIGHT_ALIGN_SIDEPANEL,
	MIDORI_SETTINGS_SHOW_MENUBAR,
	MIDORI_SETTINGS_SHOW_NAVIGATIONBAR,
	MIDORI_SETTINGS_SHOW_BOOKMARKBAR,
	MIDORI_SETTINGS_SHOW_PANEL,
	MIDORI_SETTINGS_SHOW_STATUSBAR,
	MIDORI_SETTINGS_SHOW_CRASH_DIALOG,
	MIDORI_SETTINGS_TOOLBAR_ITEMS,
	MIDORI_SETTINGS_FIND_WHILE_TYPING,
	MIDORI_SETTINGS_ZOOM_LEVEL,
	MIDORI_SETTINGS_OPEN_POPUPS_IN_TABS,
	MIDORI_SETTINGS_KINETIC_SCROLLING,
	MIDORI_SETTINGS_MIDDLE_CLICK_OPENS_SELECTION,
	MIDORI_SETTINGS_FLASH_WINDOW_ON_NEW_BG_TABS,
	MIDORI_SETTINGS_CLOSE_BUTTONS_ON_TABS,
	MIDORI_SETTINGS_OPEN_TABS_IN_THE_BACKGROUND,
	MIDORI_SETTINGS_OPEN_TABS_NEXT_TO_CURRENT,
	MIDORI_SETTINGS_ALWAYS_SHOW_TABBAR,
	MIDORI_SETTINGS_HOMEPAGE,
	MIDORI_SETTINGS_TABHOME,
	MIDORI_SETTINGS_DOWNLOAD_FOLDER,
	MIDORI_SETTINGS_TEXT_EDITOR,
	MIDORI_SETTINGS_NEWS_AGGREGATOR,
	MIDORI_SETTINGS_HTTP_PROXY,
	MIDORI_SETTINGS_HTTP_PROXY_PORT,
	MIDORI_SETTINGS_MAXIMUM_CACHE_SIZE,
	MIDORI_SETTINGS_STRIP_REFERER,
	MIDORI_SETTINGS_FIRST_PARTY_COOKIES_ONLY,
	MIDORI_SETTINGS_MAXIMUM_COOKIE_AGE,
	MIDORI_SETTINGS_MAXIMUM_HISTORY_AGE
};
static gchar* midori_settings_default_download_folder (void);
gboolean midori_settings_delay_saving (MidoriSettings* self, const gchar* property);
MidoriSettings* midori_settings_new (void);
MidoriSettings* midori_settings_construct (GType object_type);
gboolean midori_settings_get_enable_javascript (MidoriSettings* self);
void midori_settings_set_enable_javascript (MidoriSettings* self, gboolean value);
gchar* midori_settings_get_default_charset (MidoriSettings* self);
void midori_settings_set_default_charset (MidoriSettings* self, const gchar* value);
gboolean midori_settings_get_zoom_text_and_images (MidoriSettings* self);
void midori_settings_set_zoom_text_and_images (MidoriSettings* self, gboolean value);
gboolean midori_settings_get_remember_last_window_size (MidoriSettings* self);
void midori_settings_set_remember_last_window_size (MidoriSettings* self, gboolean value);
gint midori_settings_get_last_window_width (MidoriSettings* self);
void midori_settings_set_last_window_width (MidoriSettings* self, gint value);
gint midori_settings_get_last_window_height (MidoriSettings* self);
void midori_settings_set_last_window_height (MidoriSettings* self, gint value);
gint midori_settings_get_last_panel_position (MidoriSettings* self);
void midori_settings_set_last_panel_position (MidoriSettings* self, gint value);
gint midori_settings_get_last_panel_page (MidoriSettings* self);
void midori_settings_set_last_panel_page (MidoriSettings* self, gint value);
gint midori_settings_get_last_web_search (MidoriSettings* self);
void midori_settings_set_last_web_search (MidoriSettings* self, gint value);
gint midori_settings_get_search_width (MidoriSettings* self);
void midori_settings_set_search_width (MidoriSettings* self, gint value);
gboolean midori_settings_get_last_inspector_attached (MidoriSettings* self);
void midori_settings_set_last_inspector_attached (MidoriSettings* self, gboolean value);
MidoriWindowState midori_settings_get_last_window_state (MidoriSettings* self);
void midori_settings_set_last_window_state (MidoriSettings* self, MidoriWindowState value);
guint midori_settings_get_inactivity_reset (MidoriSettings* self);
void midori_settings_set_inactivity_reset (MidoriSettings* self, guint value);
const gchar* midori_settings_get_default_theme_name (MidoriSettings* self);
const gchar* midori_settings_get_theme_name (MidoriSettings* self);
void midori_settings_set_theme_name (MidoriSettings* self, const gchar* value);
const gchar* midori_settings_get_block_uris (MidoriSettings* self);
void midori_settings_set_block_uris (MidoriSettings* self, const gchar* value);
static void _midori_settings_block_uris____lambda5_ (MidoriSettings* self, SoupMessage* msg);
static void _vala_SoupURI_free (SoupURI* self);
static void __midori_settings_block_uris____lambda5__soup_session_request_queued (SoupSession* _sender, SoupMessage* msg, gpointer self);
const gchar* midori_settings_get_custom_title (MidoriSettings* self);
void midori_settings_set_custom_title (MidoriSettings* self, const gchar* value);
const gchar* midori_settings_get_location_entry_search (MidoriSettings* self);
void midori_settings_set_location_entry_search (MidoriSettings* self, const gchar* value);
gint midori_settings_get_clear_private_data (MidoriSettings* self);
void midori_settings_set_clear_private_data (MidoriSettings* self, gint value);
const gchar* midori_settings_get_clear_data (MidoriSettings* self);
void midori_settings_set_clear_data (MidoriSettings* self, const gchar* value);
gboolean midori_settings_get_compact_sidepanel (MidoriSettings* self);
void midori_settings_set_compact_sidepanel (MidoriSettings* self, gboolean value);
gboolean midori_settings_get_open_panels_in_windows (MidoriSettings* self);
void midori_settings_set_open_panels_in_windows (MidoriSettings* self, gboolean value);
gboolean midori_settings_get_right_align_sidepanel (MidoriSettings* self);
void midori_settings_set_right_align_sidepanel (MidoriSettings* self, gboolean value);
gboolean midori_settings_get_show_menubar (MidoriSettings* self);
void midori_settings_set_show_menubar (MidoriSettings* self, gboolean value);
gboolean midori_settings_get_show_navigationbar (MidoriSettings* self);
void midori_settings_set_show_navigationbar (MidoriSettings* self, gboolean value);
gboolean midori_settings_get_show_bookmarkbar (MidoriSettings* self);
void midori_settings_set_show_bookmarkbar (MidoriSettings* self, gboolean value);
gboolean midori_settings_get_show_panel (MidoriSettings* self);
void midori_settings_set_show_panel (MidoriSettings* self, gboolean value);
gboolean midori_settings_get_show_statusbar (MidoriSettings* self);
void midori_settings_set_show_statusbar (MidoriSettings* self, gboolean value);
gboolean midori_settings_get_show_crash_dialog (MidoriSettings* self);
void midori_settings_set_show_crash_dialog (MidoriSettings* self, gboolean value);
const gchar* midori_settings_get_toolbar_items (MidoriSettings* self);
void midori_settings_set_toolbar_items (MidoriSettings* self, const gchar* value);
gboolean midori_settings_get_find_while_typing (MidoriSettings* self);
void midori_settings_set_find_while_typing (MidoriSettings* self, gboolean value);
gdouble midori_settings_get_zoom_level (MidoriSettings* self);
void midori_settings_set_zoom_level (MidoriSettings* self, gdouble value);
gboolean midori_settings_get_open_popups_in_tabs (MidoriSettings* self);
void midori_settings_set_open_popups_in_tabs (MidoriSettings* self, gboolean value);
gboolean midori_settings_get_kinetic_scrolling (MidoriSettings* self);
void midori_settings_set_kinetic_scrolling (MidoriSettings* self, gboolean value);
gboolean midori_settings_get_middle_click_opens_selection (MidoriSettings* self);
void midori_settings_set_middle_click_opens_selection (MidoriSettings* self, gboolean value);
gboolean midori_settings_get_flash_window_on_new_bg_tabs (MidoriSettings* self);
void midori_settings_set_flash_window_on_new_bg_tabs (MidoriSettings* self, gboolean value);
gboolean midori_settings_get_close_buttons_on_tabs (MidoriSettings* self);
void midori_settings_set_close_buttons_on_tabs (MidoriSettings* self, gboolean value);
gboolean midori_settings_get_open_tabs_in_the_background (MidoriSettings* self);
void midori_settings_set_open_tabs_in_the_background (MidoriSettings* self, gboolean value);
gboolean midori_settings_get_open_tabs_next_to_current (MidoriSettings* self);
void midori_settings_set_open_tabs_next_to_current (MidoriSettings* self, gboolean value);
gboolean midori_settings_get_always_show_tabbar (MidoriSettings* self);
void midori_settings_set_always_show_tabbar (MidoriSettings* self, gboolean value);
const gchar* midori_settings_get_homepage (MidoriSettings* self);
void midori_settings_set_homepage (MidoriSettings* self, const gchar* value);
const gchar* midori_settings_get_tabhome (MidoriSettings* self);
void midori_settings_set_tabhome (MidoriSettings* self, const gchar* value);
const gchar* midori_settings_get_download_folder (MidoriSettings* self);
void midori_settings_set_download_folder (MidoriSettings* self, const gchar* value);
const gchar* midori_settings_get_text_editor (MidoriSettings* self);
void midori_settings_set_text_editor (MidoriSettings* self, const gchar* value);
const gchar* midori_settings_get_news_aggregator (MidoriSettings* self);
void midori_settings_set_news_aggregator (MidoriSettings* self, const gchar* value);
const gchar* midori_settings_get_http_proxy (MidoriSettings* self);
void midori_settings_set_http_proxy (MidoriSettings* self, const gchar* value);
gint midori_settings_get_http_proxy_port (MidoriSettings* self);
void midori_settings_set_http_proxy_port (MidoriSettings* self, gint value);
gint midori_settings_get_maximum_cache_size (MidoriSettings* self);
void midori_settings_set_maximum_cache_size (MidoriSettings* self, gint value);
gboolean midori_settings_get_strip_referer (MidoriSettings* self);
void midori_settings_set_strip_referer (MidoriSettings* self, gboolean value);
gboolean midori_settings_get_first_party_cookies_only (MidoriSettings* self);
void midori_settings_set_first_party_cookies_only (MidoriSettings* self, gboolean value);
gint midori_settings_get_maximum_cookie_age (MidoriSettings* self);
void midori_settings_set_maximum_cookie_age (MidoriSettings* self, gint value);
gint midori_settings_get_maximum_history_age (MidoriSettings* self);
void midori_settings_set_maximum_history_age (MidoriSettings* self, gint value);
static void midori_settings_finalize (GObject* obj);
static void _vala_midori_settings_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_midori_settings_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


GType midori_window_state_get_type (void) {
	static volatile gsize midori_window_state_type_id__volatile = 0;
	if (g_once_init_enter (&midori_window_state_type_id__volatile)) {
		static const GEnumValue values[] = {{MIDORI_WINDOW_NORMAL, "MIDORI_WINDOW_NORMAL", "normal"}, {MIDORI_WINDOW_MINIMIZED, "MIDORI_WINDOW_MINIMIZED", "minimized"}, {MIDORI_WINDOW_MAXIMIZED, "MIDORI_WINDOW_MAXIMIZED", "maximized"}, {MIDORI_WINDOW_FULLSCREEN, "MIDORI_WINDOW_FULLSCREEN", "fullscreen"}, {0, NULL, NULL}};
		GType midori_window_state_type_id;
		midori_window_state_type_id = g_enum_register_static ("MidoriWindowState", values);
		g_once_init_leave (&midori_window_state_type_id__volatile, midori_window_state_type_id);
	}
	return midori_window_state_type_id__volatile;
}


static gchar* midori_settings_default_download_folder (void) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_;
	gchar* _tmp2_;
	const gchar* _tmp3_;
#line 161 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = g_get_user_special_dir (G_USER_DIRECTORY_DOWNLOAD);
#line 161 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 161 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp2_ = _tmp1_;
#line 161 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp3_ = _tmp2_;
#line 161 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	if (_tmp3_ == NULL) {
#line 318 "midori-settings.c"
		const gchar* _tmp4_ = NULL;
		gchar* _tmp5_;
#line 162 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp4_ = g_get_home_dir ();
#line 162 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp5_ = g_strdup (_tmp4_);
#line 162 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_g_free0 (_tmp2_);
#line 162 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp2_ = _tmp5_;
#line 329 "midori-settings.c"
	}
#line 161 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp2_;
#line 161 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 335 "midori-settings.c"
}


gboolean midori_settings_delay_saving (MidoriSettings* self, const gchar* property) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	const gchar* _tmp2_;
	gboolean _tmp3_ = FALSE;
	gboolean _tmp5_;
	gboolean _tmp8_;
#line 186 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 186 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (property != NULL, FALSE);
#line 187 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp2_ = property;
#line 187 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp3_ = g_str_has_prefix (_tmp2_, "last-");
#line 187 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	if (_tmp3_) {
#line 187 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp1_ = TRUE;
#line 359 "midori-settings.c"
	} else {
		const gchar* _tmp4_;
#line 188 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp4_ = property;
#line 188 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp1_ = g_strcmp0 (_tmp4_, "user-stylesheet-uri") == 0;
#line 366 "midori-settings.c"
	}
#line 187 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp5_ = _tmp1_;
#line 187 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	if (_tmp5_) {
#line 187 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp0_ = TRUE;
#line 374 "midori-settings.c"
	} else {
		const gchar* _tmp6_;
		gboolean _tmp7_ = FALSE;
#line 189 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp6_ = property;
#line 189 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp7_ = g_str_has_suffix (_tmp6_, "-width");
#line 189 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp0_ = _tmp7_;
#line 384 "midori-settings.c"
	}
#line 187 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp8_ = _tmp0_;
#line 187 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp8_;
#line 187 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 392 "midori-settings.c"
}


MidoriSettings* midori_settings_construct (GType object_type) {
	MidoriSettings * self = NULL;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self = (MidoriSettings*) g_object_new (object_type, NULL);
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return self;
#line 402 "midori-settings.c"
}


MidoriSettings* midori_settings_new (void) {
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return midori_settings_construct (MIDORI_TYPE_SETTINGS);
#line 409 "midori-settings.c"
}


gboolean midori_settings_get_enable_javascript (MidoriSettings* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_;
#line 25 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 26 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_get ((WebKitWebSettings*) self, "enable-scripts", &_tmp0_, NULL);
#line 26 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp1_ = _tmp0_;
#line 26 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp1_;
#line 26 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 427 "midori-settings.c"
}


void midori_settings_set_enable_javascript (MidoriSettings* self, gboolean value) {
	gboolean _tmp0_;
#line 27 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 28 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 28 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_set ((WebKitWebSettings*) self, "enable-scripts", _tmp0_, NULL);
#line 27 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "enable-javascript");
#line 441 "midori-settings.c"
}


gchar* midori_settings_get_default_charset (MidoriSettings* self) {
	gchar* result;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_;
#line 31 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 32 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_get ((WebKitWebSettings*) self, "default-encoding", &_tmp0_, NULL);
#line 32 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp1_ = _tmp0_;
#line 32 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp1_;
#line 32 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 459 "midori-settings.c"
}


void midori_settings_set_default_charset (MidoriSettings* self, const gchar* value) {
	const gchar* _tmp0_;
#line 33 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 34 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 34 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_set ((WebKitWebSettings*) self, "default-encoding", _tmp0_, NULL);
#line 33 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "default-charset");
#line 473 "midori-settings.c"
}


gboolean midori_settings_get_zoom_text_and_images (MidoriSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 37 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 37 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_zoom_text_and_images;
#line 37 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 37 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 488 "midori-settings.c"
}


void midori_settings_set_zoom_text_and_images (MidoriSettings* self, gboolean value) {
	gboolean _tmp0_;
#line 37 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 37 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 37 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_zoom_text_and_images = _tmp0_;
#line 37 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "zoom-text-and-images");
#line 502 "midori-settings.c"
}


gboolean midori_settings_get_remember_last_window_size (MidoriSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 51 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 51 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_remember_last_window_size;
#line 51 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 51 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 517 "midori-settings.c"
}


void midori_settings_set_remember_last_window_size (MidoriSettings* self, gboolean value) {
	gboolean _tmp0_;
#line 51 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 51 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 51 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_remember_last_window_size = _tmp0_;
#line 51 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "remember-last-window-size");
#line 531 "midori-settings.c"
}


gint midori_settings_get_last_window_width (MidoriSettings* self) {
	gint result;
	gint _tmp0_;
#line 52 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 52 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_last_window_width;
#line 52 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 52 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 546 "midori-settings.c"
}


void midori_settings_set_last_window_width (MidoriSettings* self, gint value) {
	gint _tmp0_;
#line 52 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 52 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 52 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_last_window_width = _tmp0_;
#line 52 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "last-window-width");
#line 560 "midori-settings.c"
}


gint midori_settings_get_last_window_height (MidoriSettings* self) {
	gint result;
	gint _tmp0_;
#line 53 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 53 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_last_window_height;
#line 53 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 53 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 575 "midori-settings.c"
}


void midori_settings_set_last_window_height (MidoriSettings* self, gint value) {
	gint _tmp0_;
#line 53 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 53 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 53 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_last_window_height = _tmp0_;
#line 53 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "last-window-height");
#line 589 "midori-settings.c"
}


gint midori_settings_get_last_panel_position (MidoriSettings* self) {
	gint result;
	gint _tmp0_;
#line 54 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 54 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_last_panel_position;
#line 54 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 54 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 604 "midori-settings.c"
}


void midori_settings_set_last_panel_position (MidoriSettings* self, gint value) {
	gint _tmp0_;
#line 54 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 54 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 54 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_last_panel_position = _tmp0_;
#line 54 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "last-panel-position");
#line 618 "midori-settings.c"
}


gint midori_settings_get_last_panel_page (MidoriSettings* self) {
	gint result;
	gint _tmp0_;
#line 55 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 55 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_last_panel_page;
#line 55 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 55 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 633 "midori-settings.c"
}


void midori_settings_set_last_panel_page (MidoriSettings* self, gint value) {
	gint _tmp0_;
#line 55 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 55 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 55 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_last_panel_page = _tmp0_;
#line 55 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "last-panel-page");
#line 647 "midori-settings.c"
}


gint midori_settings_get_last_web_search (MidoriSettings* self) {
	gint result;
	gint _tmp0_;
#line 56 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 56 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_last_web_search;
#line 56 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 56 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 662 "midori-settings.c"
}


void midori_settings_set_last_web_search (MidoriSettings* self, gint value) {
	gint _tmp0_;
#line 56 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 56 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 56 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_last_web_search = _tmp0_;
#line 56 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "last-web-search");
#line 676 "midori-settings.c"
}


gint midori_settings_get_search_width (MidoriSettings* self) {
	gint result;
	gint _tmp0_;
#line 59 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 59 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_search_width;
#line 59 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 59 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 691 "midori-settings.c"
}


void midori_settings_set_search_width (MidoriSettings* self, gint value) {
	gint _tmp0_;
#line 59 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 59 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 59 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_search_width = _tmp0_;
#line 59 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "search-width");
#line 705 "midori-settings.c"
}


gboolean midori_settings_get_last_inspector_attached (MidoriSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 61 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 61 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_last_inspector_attached;
#line 61 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 61 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 720 "midori-settings.c"
}


void midori_settings_set_last_inspector_attached (MidoriSettings* self, gboolean value) {
	gboolean _tmp0_;
#line 61 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 61 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 61 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_last_inspector_attached = _tmp0_;
#line 61 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "last-inspector-attached");
#line 734 "midori-settings.c"
}


MidoriWindowState midori_settings_get_last_window_state (MidoriSettings* self) {
	MidoriWindowState result;
	MidoriWindowState _tmp0_;
#line 63 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 63 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_last_window_state;
#line 63 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 63 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 749 "midori-settings.c"
}


void midori_settings_set_last_window_state (MidoriSettings* self, MidoriWindowState value) {
	MidoriWindowState _tmp0_;
#line 63 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 63 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 63 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_last_window_state = _tmp0_;
#line 63 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "last-window-state");
#line 763 "midori-settings.c"
}


guint midori_settings_get_inactivity_reset (MidoriSettings* self) {
	guint result;
	guint _tmp0_;
#line 66 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 66 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_inactivity_reset;
#line 66 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 66 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 778 "midori-settings.c"
}


void midori_settings_set_inactivity_reset (MidoriSettings* self, guint value) {
	guint _tmp0_;
#line 66 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 66 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 66 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_inactivity_reset = _tmp0_;
#line 66 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "inactivity-reset");
#line 792 "midori-settings.c"
}


const gchar* midori_settings_get_default_theme_name (MidoriSettings* self) {
	const gchar* result;
	const gchar* _tmp0_;
	const gchar* _tmp4_;
#line 70 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 71 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->default_theme_name_;
#line 71 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	if (_tmp0_ == NULL) {
#line 806 "midori-settings.c"
		GtkSettings* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		gchar* _tmp3_;
#line 72 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp1_ = gtk_settings_get_default ();
#line 72 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_object_get (_tmp1_, "gtk-theme-name", &_tmp2_, NULL);
#line 72 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp3_ = _tmp2_;
#line 72 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_g_free0 (self->priv->default_theme_name_);
#line 72 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		self->priv->default_theme_name_ = _tmp3_;
#line 820 "midori-settings.c"
	}
#line 73 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp4_ = self->priv->default_theme_name_;
#line 73 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp4_;
#line 73 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 828 "midori-settings.c"
}


const gchar* midori_settings_get_theme_name (MidoriSettings* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 77 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 78 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->theme_name_;
#line 78 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 78 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 843 "midori-settings.c"
}


void midori_settings_set_theme_name (MidoriSettings* self, const gchar* value) {
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
#line 79 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 80 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = midori_settings_get_theme_name (self);
#line 80 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp1_ = _tmp0_;
#line 80 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp2_ = value;
#line 80 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	if (g_strcmp0 (_tmp1_, _tmp2_) != 0) {
#line 861 "midori-settings.c"
		const gchar* _tmp3_;
		const gchar* _tmp7_;
		gchar* _tmp8_;
		GtkSettings* _tmp9_ = NULL;
		const gchar* _tmp10_;
#line 81 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp3_ = self->priv->default_theme_name_;
#line 81 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		if (_tmp3_ == NULL) {
#line 871 "midori-settings.c"
			GtkSettings* _tmp4_ = NULL;
			gchar* _tmp5_ = NULL;
			gchar* _tmp6_;
#line 82 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
			_tmp4_ = gtk_settings_get_default ();
#line 82 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
			g_object_get (_tmp4_, "gtk-theme-name", &_tmp5_, NULL);
#line 82 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
			_tmp6_ = _tmp5_;
#line 82 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
			_g_free0 (self->priv->default_theme_name_);
#line 82 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
			self->priv->default_theme_name_ = _tmp6_;
#line 885 "midori-settings.c"
		}
#line 83 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp7_ = value;
#line 83 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp8_ = g_strdup (_tmp7_);
#line 83 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_g_free0 (self->priv->theme_name_);
#line 83 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		self->priv->theme_name_ = _tmp8_;
#line 84 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp9_ = gtk_settings_get_default ();
#line 84 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp10_ = self->priv->theme_name_;
#line 84 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_object_set (_tmp9_, "gtk-theme-name", _tmp10_, NULL);
#line 901 "midori-settings.c"
	}
#line 79 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "theme-name");
#line 905 "midori-settings.c"
}


const gchar* midori_settings_get_block_uris (MidoriSettings* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
	GRegex* _tmp1_;
	const gchar* _tmp4_;
#line 90 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 91 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp1_ = self->priv->block_uris_regex;
#line 91 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	if (_tmp1_ != NULL) {
#line 920 "midori-settings.c"
		GRegex* _tmp2_;
		const gchar* _tmp3_ = NULL;
#line 91 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp2_ = self->priv->block_uris_regex;
#line 91 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp3_ = g_regex_get_pattern (_tmp2_);
#line 91 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp0_ = _tmp3_;
#line 929 "midori-settings.c"
	} else {
#line 91 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp0_ = NULL;
#line 933 "midori-settings.c"
	}
#line 91 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp4_ = _tmp0_;
#line 91 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp4_;
#line 91 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 941 "midori-settings.c"
}


static void _vala_SoupURI_free (SoupURI* self) {
#line 99 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_boxed_free (soup_uri_get_type (), self);
#line 948 "midori-settings.c"
}


static void _midori_settings_block_uris____lambda5_ (MidoriSettings* self, SoupMessage* msg) {
	GRegex* _tmp0_;
	SoupMessage* _tmp1_;
	SoupURI* _tmp2_;
	SoupURI* _tmp3_;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_;
	gboolean _tmp6_ = FALSE;
	gboolean _tmp7_;
#line 97 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (msg != NULL);
#line 98 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->block_uris_regex;
#line 98 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp1_ = msg;
#line 98 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp2_ = soup_message_get_uri (_tmp1_);
#line 98 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp3_ = _tmp2_;
#line 98 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp4_ = soup_uri_to_string (_tmp3_, FALSE);
#line 98 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp5_ = _tmp4_;
#line 98 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp6_ = g_regex_match (_tmp0_, _tmp5_, 0, NULL);
#line 98 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp7_ = _tmp6_;
#line 98 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_g_free0 (_tmp5_);
#line 98 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	if (_tmp7_) {
#line 983 "midori-settings.c"
		SoupMessage* _tmp8_;
		SoupURI* _tmp9_;
		SoupURI* _tmp10_;
#line 99 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp8_ = msg;
#line 99 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp9_ = soup_uri_new ("http://.invalid");
#line 99 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp10_ = _tmp9_;
#line 99 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		soup_message_set_uri (_tmp8_, _tmp10_);
#line 99 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		__vala_SoupURI_free0 (_tmp10_);
#line 997 "midori-settings.c"
	}
}


static void __midori_settings_block_uris____lambda5__soup_session_request_queued (SoupSession* _sender, SoupMessage* msg, gpointer self) {
#line 97 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_midori_settings_block_uris____lambda5_ (self, msg);
#line 1005 "midori-settings.c"
}


void midori_settings_set_block_uris (MidoriSettings* self, const gchar* value) {
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_;
	gboolean _tmp3_;
	GRegex* _tmp4_;
	GError * _inner_error_ = NULL;
#line 92 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 94 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp1_ = value;
#line 94 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	if (_tmp1_ == NULL) {
#line 94 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp0_ = TRUE;
#line 1023 "midori-settings.c"
	} else {
		const gchar* _tmp2_;
#line 94 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp2_ = value;
#line 94 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp0_ = g_strcmp0 (_tmp2_, "") == 0;
#line 1030 "midori-settings.c"
	}
#line 94 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp3_ = _tmp0_;
#line 94 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	if (_tmp3_) {
#line 95 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		return;
#line 1038 "midori-settings.c"
	}
#line 96 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp4_ = self->priv->block_uris_regex;
#line 96 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	if (_tmp4_ == NULL) {
#line 1044 "midori-settings.c"
		SoupSession* _tmp5_ = NULL;
#line 97 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp5_ = webkit_get_default_session ();
#line 97 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_signal_connect_object (_tmp5_, "request-queued", (GCallback) __midori_settings_block_uris____lambda5__soup_session_request_queued, self, 0);
#line 1050 "midori-settings.c"
	}
	{
		const gchar* _tmp6_;
		GRegex* _tmp7_;
		GRegex* _tmp8_;
#line 102 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp6_ = value;
#line 102 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp7_ = g_regex_new (_tmp6_, 0, 0, &_inner_error_);
#line 102 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp8_ = _tmp7_;
#line 102 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		if (_inner_error_ != NULL) {
#line 1064 "midori-settings.c"
			goto __catch12_g_error;
		}
#line 102 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_g_regex_unref0 (self->priv->block_uris_regex);
#line 102 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		self->priv->block_uris_regex = _tmp8_;
#line 1071 "midori-settings.c"
	}
	goto __finally12;
	__catch12_g_error:
	{
		GError* _error_ = NULL;
		GError* _tmp9_;
		const gchar* _tmp10_;
#line 101 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_error_ = _inner_error_;
#line 101 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_inner_error_ = NULL;
#line 105 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp9_ = _error_;
#line 105 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_tmp10_ = _tmp9_->message;
#line 105 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_critical ("midori-settings.vala:105: block-uris: %s", _tmp10_);
#line 101 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		_g_error_free0 (_error_);
#line 1091 "midori-settings.c"
	}
	__finally12:
#line 101 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	if (_inner_error_ != NULL) {
#line 101 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 101 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_clear_error (&_inner_error_);
#line 101 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		return;
#line 1102 "midori-settings.c"
	}
#line 92 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "block-uris");
#line 1106 "midori-settings.c"
}


const gchar* midori_settings_get_custom_title (MidoriSettings* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 116 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 116 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_custom_title;
#line 116 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 116 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1121 "midori-settings.c"
}


void midori_settings_set_custom_title (MidoriSettings* self, const gchar* value) {
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 116 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 116 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 116 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 116 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_g_free0 (self->priv->_custom_title);
#line 116 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_custom_title = _tmp1_;
#line 116 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "custom-title");
#line 1140 "midori-settings.c"
}


const gchar* midori_settings_get_location_entry_search (MidoriSettings* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 118 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 118 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_location_entry_search;
#line 118 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 118 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1155 "midori-settings.c"
}


void midori_settings_set_location_entry_search (MidoriSettings* self, const gchar* value) {
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 118 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 118 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 118 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 118 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_g_free0 (self->priv->_location_entry_search);
#line 118 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_location_entry_search = _tmp1_;
#line 118 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "location-entry-search");
#line 1174 "midori-settings.c"
}


gint midori_settings_get_clear_private_data (MidoriSettings* self) {
	gint result;
	gint _tmp0_;
#line 120 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 120 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_clear_private_data;
#line 120 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 120 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1189 "midori-settings.c"
}


void midori_settings_set_clear_private_data (MidoriSettings* self, gint value) {
	gint _tmp0_;
#line 120 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 120 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 120 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_clear_private_data = _tmp0_;
#line 120 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "clear-private-data");
#line 1203 "midori-settings.c"
}


const gchar* midori_settings_get_clear_data (MidoriSettings* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 122 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 122 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_clear_data;
#line 122 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 122 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1218 "midori-settings.c"
}


void midori_settings_set_clear_data (MidoriSettings* self, const gchar* value) {
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 122 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 122 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 122 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 122 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_g_free0 (self->priv->_clear_data);
#line 122 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_clear_data = _tmp1_;
#line 122 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "clear-data");
#line 1237 "midori-settings.c"
}


gboolean midori_settings_get_compact_sidepanel (MidoriSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 124 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 124 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_compact_sidepanel;
#line 124 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 124 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1252 "midori-settings.c"
}


void midori_settings_set_compact_sidepanel (MidoriSettings* self, gboolean value) {
	gboolean _tmp0_;
#line 124 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 124 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 124 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_compact_sidepanel = _tmp0_;
#line 124 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "compact-sidepanel");
#line 1266 "midori-settings.c"
}


gboolean midori_settings_get_open_panels_in_windows (MidoriSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 126 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 126 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_open_panels_in_windows;
#line 126 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 126 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1281 "midori-settings.c"
}


void midori_settings_set_open_panels_in_windows (MidoriSettings* self, gboolean value) {
	gboolean _tmp0_;
#line 126 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 126 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 126 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_open_panels_in_windows = _tmp0_;
#line 126 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "open-panels-in-windows");
#line 1295 "midori-settings.c"
}


gboolean midori_settings_get_right_align_sidepanel (MidoriSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 128 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 128 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_right_align_sidepanel;
#line 128 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 128 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1310 "midori-settings.c"
}


void midori_settings_set_right_align_sidepanel (MidoriSettings* self, gboolean value) {
	gboolean _tmp0_;
#line 128 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 128 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 128 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_right_align_sidepanel = _tmp0_;
#line 128 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "right-align-sidepanel");
#line 1324 "midori-settings.c"
}


gboolean midori_settings_get_show_menubar (MidoriSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 130 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 130 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_show_menubar;
#line 130 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 130 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1339 "midori-settings.c"
}


void midori_settings_set_show_menubar (MidoriSettings* self, gboolean value) {
	gboolean _tmp0_;
#line 130 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 130 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 130 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_show_menubar = _tmp0_;
#line 130 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "show-menubar");
#line 1353 "midori-settings.c"
}


gboolean midori_settings_get_show_navigationbar (MidoriSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 131 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 131 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_show_navigationbar;
#line 131 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 131 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1368 "midori-settings.c"
}


void midori_settings_set_show_navigationbar (MidoriSettings* self, gboolean value) {
	gboolean _tmp0_;
#line 131 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 131 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 131 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_show_navigationbar = _tmp0_;
#line 131 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "show-navigationbar");
#line 1382 "midori-settings.c"
}


gboolean midori_settings_get_show_bookmarkbar (MidoriSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 132 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 132 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_show_bookmarkbar;
#line 132 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 132 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1397 "midori-settings.c"
}


void midori_settings_set_show_bookmarkbar (MidoriSettings* self, gboolean value) {
	gboolean _tmp0_;
#line 132 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 132 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 132 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_show_bookmarkbar = _tmp0_;
#line 132 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "show-bookmarkbar");
#line 1411 "midori-settings.c"
}


gboolean midori_settings_get_show_panel (MidoriSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 133 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 133 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_show_panel;
#line 133 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 133 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1426 "midori-settings.c"
}


void midori_settings_set_show_panel (MidoriSettings* self, gboolean value) {
	gboolean _tmp0_;
#line 133 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 133 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 133 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_show_panel = _tmp0_;
#line 133 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "show-panel");
#line 1440 "midori-settings.c"
}


gboolean midori_settings_get_show_statusbar (MidoriSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 134 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 134 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_show_statusbar;
#line 134 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 134 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1455 "midori-settings.c"
}


void midori_settings_set_show_statusbar (MidoriSettings* self, gboolean value) {
	gboolean _tmp0_;
#line 134 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 134 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 134 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_show_statusbar = _tmp0_;
#line 134 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "show-statusbar");
#line 1469 "midori-settings.c"
}


gboolean midori_settings_get_show_crash_dialog (MidoriSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 136 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 136 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_show_crash_dialog;
#line 136 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 136 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1484 "midori-settings.c"
}


void midori_settings_set_show_crash_dialog (MidoriSettings* self, gboolean value) {
	gboolean _tmp0_;
#line 136 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 136 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 136 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_show_crash_dialog = _tmp0_;
#line 136 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "show-crash-dialog");
#line 1498 "midori-settings.c"
}


const gchar* midori_settings_get_toolbar_items (MidoriSettings* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 137 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 137 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_toolbar_items;
#line 137 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 137 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1513 "midori-settings.c"
}


void midori_settings_set_toolbar_items (MidoriSettings* self, const gchar* value) {
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 137 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 137 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 137 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 137 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_g_free0 (self->priv->_toolbar_items);
#line 137 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_toolbar_items = _tmp1_;
#line 137 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "toolbar-items");
#line 1532 "midori-settings.c"
}


gboolean midori_settings_get_find_while_typing (MidoriSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 141 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 141 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_find_while_typing;
#line 141 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 141 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1547 "midori-settings.c"
}


void midori_settings_set_find_while_typing (MidoriSettings* self, gboolean value) {
	gboolean _tmp0_;
#line 141 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 141 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 141 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_find_while_typing = _tmp0_;
#line 141 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "find-while-typing");
#line 1561 "midori-settings.c"
}


gdouble midori_settings_get_zoom_level (MidoriSettings* self) {
	gdouble result;
	gdouble _tmp0_;
#line 143 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 143 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_zoom_level;
#line 143 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 143 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1576 "midori-settings.c"
}


void midori_settings_set_zoom_level (MidoriSettings* self, gdouble value) {
	gdouble _tmp0_;
#line 143 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 143 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 143 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_zoom_level = _tmp0_;
#line 143 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "zoom-level");
#line 1590 "midori-settings.c"
}


gboolean midori_settings_get_open_popups_in_tabs (MidoriSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 145 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 145 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_open_popups_in_tabs;
#line 145 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 145 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1605 "midori-settings.c"
}


void midori_settings_set_open_popups_in_tabs (MidoriSettings* self, gboolean value) {
	gboolean _tmp0_;
#line 145 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 145 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 145 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_open_popups_in_tabs = _tmp0_;
#line 145 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "open-popups-in-tabs");
#line 1619 "midori-settings.c"
}


gboolean midori_settings_get_kinetic_scrolling (MidoriSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 148 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 148 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_kinetic_scrolling;
#line 148 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 148 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1634 "midori-settings.c"
}


void midori_settings_set_kinetic_scrolling (MidoriSettings* self, gboolean value) {
	gboolean _tmp0_;
#line 148 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 148 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 148 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_kinetic_scrolling = _tmp0_;
#line 148 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "kinetic-scrolling");
#line 1648 "midori-settings.c"
}


gboolean midori_settings_get_middle_click_opens_selection (MidoriSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 150 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 150 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_middle_click_opens_selection;
#line 150 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 150 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1663 "midori-settings.c"
}


void midori_settings_set_middle_click_opens_selection (MidoriSettings* self, gboolean value) {
	gboolean _tmp0_;
#line 150 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 150 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 150 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_middle_click_opens_selection = _tmp0_;
#line 150 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "middle-click-opens-selection");
#line 1677 "midori-settings.c"
}


gboolean midori_settings_get_flash_window_on_new_bg_tabs (MidoriSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 151 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 151 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_flash_window_on_new_bg_tabs;
#line 151 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 151 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1692 "midori-settings.c"
}


void midori_settings_set_flash_window_on_new_bg_tabs (MidoriSettings* self, gboolean value) {
	gboolean _tmp0_;
#line 151 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 151 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 151 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_flash_window_on_new_bg_tabs = _tmp0_;
#line 151 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "flash-window-on-new-bg-tabs");
#line 1706 "midori-settings.c"
}


gboolean midori_settings_get_close_buttons_on_tabs (MidoriSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 153 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 153 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_close_buttons_on_tabs;
#line 153 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 153 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1721 "midori-settings.c"
}


void midori_settings_set_close_buttons_on_tabs (MidoriSettings* self, gboolean value) {
	gboolean _tmp0_;
#line 153 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 153 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 153 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_close_buttons_on_tabs = _tmp0_;
#line 153 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "close-buttons-on-tabs");
#line 1735 "midori-settings.c"
}


gboolean midori_settings_get_open_tabs_in_the_background (MidoriSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 154 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 154 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_open_tabs_in_the_background;
#line 154 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 154 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1750 "midori-settings.c"
}


void midori_settings_set_open_tabs_in_the_background (MidoriSettings* self, gboolean value) {
	gboolean _tmp0_;
#line 154 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 154 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 154 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_open_tabs_in_the_background = _tmp0_;
#line 154 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "open-tabs-in-the-background");
#line 1764 "midori-settings.c"
}


gboolean midori_settings_get_open_tabs_next_to_current (MidoriSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 155 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 155 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_open_tabs_next_to_current;
#line 155 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 155 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1779 "midori-settings.c"
}


void midori_settings_set_open_tabs_next_to_current (MidoriSettings* self, gboolean value) {
	gboolean _tmp0_;
#line 155 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 155 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 155 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_open_tabs_next_to_current = _tmp0_;
#line 155 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "open-tabs-next-to-current");
#line 1793 "midori-settings.c"
}


gboolean midori_settings_get_always_show_tabbar (MidoriSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 156 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 156 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_always_show_tabbar;
#line 156 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 156 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1808 "midori-settings.c"
}


void midori_settings_set_always_show_tabbar (MidoriSettings* self, gboolean value) {
	gboolean _tmp0_;
#line 156 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 156 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 156 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_always_show_tabbar = _tmp0_;
#line 156 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "always-show-tabbar");
#line 1822 "midori-settings.c"
}


const gchar* midori_settings_get_homepage (MidoriSettings* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 158 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 158 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_homepage;
#line 158 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 158 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1837 "midori-settings.c"
}


void midori_settings_set_homepage (MidoriSettings* self, const gchar* value) {
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 158 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 158 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 158 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 158 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_g_free0 (self->priv->_homepage);
#line 158 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_homepage = _tmp1_;
#line 158 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "homepage");
#line 1856 "midori-settings.c"
}


const gchar* midori_settings_get_tabhome (MidoriSettings* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 159 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 159 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_tabhome;
#line 159 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 159 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1871 "midori-settings.c"
}


void midori_settings_set_tabhome (MidoriSettings* self, const gchar* value) {
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 159 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 159 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 159 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 159 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_g_free0 (self->priv->_tabhome);
#line 159 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_tabhome = _tmp1_;
#line 159 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "tabhome");
#line 1890 "midori-settings.c"
}


const gchar* midori_settings_get_download_folder (MidoriSettings* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 164 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 164 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_download_folder;
#line 164 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 164 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1905 "midori-settings.c"
}


void midori_settings_set_download_folder (MidoriSettings* self, const gchar* value) {
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 164 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 164 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 164 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 164 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_g_free0 (self->priv->_download_folder);
#line 164 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_download_folder = _tmp1_;
#line 164 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "download-folder");
#line 1924 "midori-settings.c"
}


const gchar* midori_settings_get_text_editor (MidoriSettings* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 165 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 165 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_text_editor;
#line 165 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 165 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1939 "midori-settings.c"
}


void midori_settings_set_text_editor (MidoriSettings* self, const gchar* value) {
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 165 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 165 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 165 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 165 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_g_free0 (self->priv->_text_editor);
#line 165 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_text_editor = _tmp1_;
#line 165 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "text-editor");
#line 1958 "midori-settings.c"
}


const gchar* midori_settings_get_news_aggregator (MidoriSettings* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 167 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 167 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_news_aggregator;
#line 167 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 167 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 1973 "midori-settings.c"
}


void midori_settings_set_news_aggregator (MidoriSettings* self, const gchar* value) {
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 167 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 167 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 167 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 167 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_g_free0 (self->priv->_news_aggregator);
#line 167 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_news_aggregator = _tmp1_;
#line 167 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "news-aggregator");
#line 1992 "midori-settings.c"
}


const gchar* midori_settings_get_http_proxy (MidoriSettings* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 169 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 169 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_http_proxy;
#line 169 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 169 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 2007 "midori-settings.c"
}


void midori_settings_set_http_proxy (MidoriSettings* self, const gchar* value) {
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 169 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 169 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 169 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 169 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_g_free0 (self->priv->_http_proxy);
#line 169 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_http_proxy = _tmp1_;
#line 169 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "http-proxy");
#line 2026 "midori-settings.c"
}


gint midori_settings_get_http_proxy_port (MidoriSettings* self) {
	gint result;
	gint _tmp0_;
#line 172 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 172 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_http_proxy_port;
#line 172 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 172 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 2041 "midori-settings.c"
}


void midori_settings_set_http_proxy_port (MidoriSettings* self, gint value) {
	gint _tmp0_;
#line 172 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 172 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 172 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_http_proxy_port = _tmp0_;
#line 172 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "http-proxy-port");
#line 2055 "midori-settings.c"
}


gint midori_settings_get_maximum_cache_size (MidoriSettings* self) {
	gint result;
	gint _tmp0_;
#line 175 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 175 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_maximum_cache_size;
#line 175 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 175 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 2070 "midori-settings.c"
}


void midori_settings_set_maximum_cache_size (MidoriSettings* self, gint value) {
	gint _tmp0_;
#line 175 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 175 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 175 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_maximum_cache_size = _tmp0_;
#line 175 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "maximum-cache-size");
#line 2084 "midori-settings.c"
}


gboolean midori_settings_get_strip_referer (MidoriSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 177 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 177 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_strip_referer;
#line 177 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 177 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 2099 "midori-settings.c"
}


void midori_settings_set_strip_referer (MidoriSettings* self, gboolean value) {
	gboolean _tmp0_;
#line 177 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 177 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 177 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_strip_referer = _tmp0_;
#line 177 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "strip-referer");
#line 2113 "midori-settings.c"
}


gboolean midori_settings_get_first_party_cookies_only (MidoriSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 179 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 179 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_first_party_cookies_only;
#line 179 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 179 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 2128 "midori-settings.c"
}


void midori_settings_set_first_party_cookies_only (MidoriSettings* self, gboolean value) {
	gboolean _tmp0_;
#line 179 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 179 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 179 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_first_party_cookies_only = _tmp0_;
#line 179 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "first-party-cookies-only");
#line 2142 "midori-settings.c"
}


gint midori_settings_get_maximum_cookie_age (MidoriSettings* self) {
	gint result;
	gint _tmp0_;
#line 181 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 181 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_maximum_cookie_age;
#line 181 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 181 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 2157 "midori-settings.c"
}


void midori_settings_set_maximum_cookie_age (MidoriSettings* self, gint value) {
	gint _tmp0_;
#line 181 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 181 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 181 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_maximum_cookie_age = _tmp0_;
#line 181 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "maximum-cookie-age");
#line 2171 "midori-settings.c"
}


gint midori_settings_get_maximum_history_age (MidoriSettings* self) {
	gint result;
	gint _tmp0_;
#line 183 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 183 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = self->priv->_maximum_history_age;
#line 183 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	result = _tmp0_;
#line 183 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	return result;
#line 2186 "midori-settings.c"
}


void midori_settings_set_maximum_history_age (MidoriSettings* self, gint value) {
	gint _tmp0_;
#line 183 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_return_if_fail (self != NULL);
#line 183 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = value;
#line 183 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_maximum_history_age = _tmp0_;
#line 183 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_notify ((GObject *) self, "maximum-history-age");
#line 2200 "midori-settings.c"
}


static void midori_settings_class_init (MidoriSettingsClass * klass) {
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	midori_settings_parent_class = g_type_class_peek_parent (klass);
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_type_class_add_private (klass, sizeof (MidoriSettingsPrivate));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_midori_settings_get_property;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_midori_settings_set_property;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	G_OBJECT_CLASS (klass)->finalize = midori_settings_finalize;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_ENABLE_JAVASCRIPT, g_param_spec_boolean ("enable-javascript", "enable-javascript", "enable-javascript", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_DEFAULT_CHARSET, g_param_spec_string ("default-charset", "default-charset", "default-charset", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_ZOOM_TEXT_AND_IMAGES, g_param_spec_boolean ("zoom-text-and-images", "zoom-text-and-images", "zoom-text-and-images", TRUE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_REMEMBER_LAST_WINDOW_SIZE, g_param_spec_boolean ("remember-last-window-size", "remember-last-window-size", "remember-last-window-size", TRUE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_LAST_WINDOW_WIDTH, g_param_spec_int ("last-window-width", "last-window-width", "last-window-width", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_LAST_WINDOW_HEIGHT, g_param_spec_int ("last-window-height", "last-window-height", "last-window-height", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_LAST_PANEL_POSITION, g_param_spec_int ("last-panel-position", "last-panel-position", "last-panel-position", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_LAST_PANEL_PAGE, g_param_spec_int ("last-panel-page", "last-panel-page", "last-panel-page", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_LAST_WEB_SEARCH, g_param_spec_int ("last-web-search", "last-web-search", "last-web-search", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_SEARCH_WIDTH, g_param_spec_int ("search-width", "search-width", "search-width", G_MININT, G_MAXINT, 200, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_LAST_INSPECTOR_ATTACHED, g_param_spec_boolean ("last-inspector-attached", "last-inspector-attached", "last-inspector-attached", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_LAST_WINDOW_STATE, g_param_spec_enum ("last-window-state", "last-window-state", "last-window-state", MIDORI_TYPE_WINDOW_STATE, MIDORI_WINDOW_NORMAL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_INACTIVITY_RESET, g_param_spec_uint ("inactivity-reset", "inactivity-reset", "inactivity-reset", 0, G_MAXUINT, (guint) 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_DEFAULT_THEME_NAME, g_param_spec_string ("default-theme-name", "default-theme-name", "default-theme-name", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_THEME_NAME, g_param_spec_string ("theme-name", "theme-name", "theme-name", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_BLOCK_URIS, g_param_spec_string ("block-uris", "block-uris", "block-uris", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 2247 "midori-settings.c"
	/**
	         * Overrides the browser window title if given.
	         * Examples are "Help Viewer" or "L:D_N:application_ID:midori_O:URL"
	         *
	         * Since: 0.5.1
	         **/
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_CUSTOM_TITLE, g_param_spec_string ("custom-title", "custom-title", "custom-title", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_LOCATION_ENTRY_SEARCH, g_param_spec_string ("location-entry-search", "location-entry-search", "location-entry-search", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_CLEAR_PRIVATE_DATA, g_param_spec_int ("clear-private-data", "clear-private-data", "clear-private-data", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_CLEAR_DATA, g_param_spec_string ("clear-data", "clear-data", "clear-data", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_COMPACT_SIDEPANEL, g_param_spec_boolean ("compact-sidepanel", "compact-sidepanel", "compact-sidepanel", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_OPEN_PANELS_IN_WINDOWS, g_param_spec_boolean ("open-panels-in-windows", "open-panels-in-windows", "open-panels-in-windows", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_RIGHT_ALIGN_SIDEPANEL, g_param_spec_boolean ("right-align-sidepanel", "right-align-sidepanel", "right-align-sidepanel", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_SHOW_MENUBAR, g_param_spec_boolean ("show-menubar", "show-menubar", "show-menubar", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_SHOW_NAVIGATIONBAR, g_param_spec_boolean ("show-navigationbar", "show-navigationbar", "show-navigationbar", TRUE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_SHOW_BOOKMARKBAR, g_param_spec_boolean ("show-bookmarkbar", "show-bookmarkbar", "show-bookmarkbar", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_SHOW_PANEL, g_param_spec_boolean ("show-panel", "show-panel", "show-panel", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_SHOW_STATUSBAR, g_param_spec_boolean ("show-statusbar", "show-statusbar", "show-statusbar", TRUE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_SHOW_CRASH_DIALOG, g_param_spec_boolean ("show-crash-dialog", "show-crash-dialog", "show-crash-dialog", TRUE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_TOOLBAR_ITEMS, g_param_spec_string ("toolbar-items", "toolbar-items", "toolbar-items", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_FIND_WHILE_TYPING, g_param_spec_boolean ("find-while-typing", "find-while-typing", "find-while-typing", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_ZOOM_LEVEL, g_param_spec_double ("zoom-level", "zoom-level", "zoom-level", -G_MAXDOUBLE, G_MAXDOUBLE, 1.0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_OPEN_POPUPS_IN_TABS, g_param_spec_boolean ("open-popups-in-tabs", "open-popups-in-tabs", "open-popups-in-tabs", TRUE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_KINETIC_SCROLLING, g_param_spec_boolean ("kinetic-scrolling", "kinetic-scrolling", "kinetic-scrolling", TRUE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_MIDDLE_CLICK_OPENS_SELECTION, g_param_spec_boolean ("middle-click-opens-selection", "middle-click-opens-selection", "middle-click-opens-selection", TRUE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_FLASH_WINDOW_ON_NEW_BG_TABS, g_param_spec_boolean ("flash-window-on-new-bg-tabs", "flash-window-on-new-bg-tabs", "flash-window-on-new-bg-tabs", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_CLOSE_BUTTONS_ON_TABS, g_param_spec_boolean ("close-buttons-on-tabs", "close-buttons-on-tabs", "close-buttons-on-tabs", TRUE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_OPEN_TABS_IN_THE_BACKGROUND, g_param_spec_boolean ("open-tabs-in-the-background", "open-tabs-in-the-background", "open-tabs-in-the-background", TRUE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_OPEN_TABS_NEXT_TO_CURRENT, g_param_spec_boolean ("open-tabs-next-to-current", "open-tabs-next-to-current", "open-tabs-next-to-current", TRUE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_ALWAYS_SHOW_TABBAR, g_param_spec_boolean ("always-show-tabbar", "always-show-tabbar", "always-show-tabbar", TRUE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_HOMEPAGE, g_param_spec_string ("homepage", "homepage", "homepage", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_TABHOME, g_param_spec_string ("tabhome", "tabhome", "tabhome", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_DOWNLOAD_FOLDER, g_param_spec_string ("download-folder", "download-folder", "download-folder", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_TEXT_EDITOR, g_param_spec_string ("text-editor", "text-editor", "text-editor", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_NEWS_AGGREGATOR, g_param_spec_string ("news-aggregator", "news-aggregator", "news-aggregator", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_HTTP_PROXY, g_param_spec_string ("http-proxy", "http-proxy", "http-proxy", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_HTTP_PROXY_PORT, g_param_spec_int ("http-proxy-port", "http-proxy-port", "http-proxy-port", G_MININT, G_MAXINT, 8080, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_MAXIMUM_CACHE_SIZE, g_param_spec_int ("maximum-cache-size", "maximum-cache-size", "maximum-cache-size", G_MININT, G_MAXINT, 100, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_STRIP_REFERER, g_param_spec_boolean ("strip-referer", "strip-referer", "strip-referer", TRUE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_FIRST_PARTY_COOKIES_ONLY, g_param_spec_boolean ("first-party-cookies-only", "first-party-cookies-only", "first-party-cookies-only", TRUE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_MAXIMUM_COOKIE_AGE, g_param_spec_int ("maximum-cookie-age", "maximum-cookie-age", "maximum-cookie-age", G_MININT, G_MAXINT, 30, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_SETTINGS_MAXIMUM_HISTORY_AGE, g_param_spec_int ("maximum-history-age", "maximum-history-age", "maximum-history-age", G_MININT, G_MAXINT, 30, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 2326 "midori-settings.c"
}


static void midori_settings_instance_init (MidoriSettings * self) {
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_ = NULL;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv = MIDORI_SETTINGS_GET_PRIVATE (self);
#line 37 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_zoom_text_and_images = TRUE;
#line 51 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_remember_last_window_size = TRUE;
#line 52 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_last_window_width = 0;
#line 53 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_last_window_height = 0;
#line 54 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_last_panel_position = 0;
#line 55 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_last_panel_page = 0;
#line 56 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_last_web_search = 0;
#line 59 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_search_width = 200;
#line 61 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_last_inspector_attached = FALSE;
#line 63 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_last_window_state = MIDORI_WINDOW_NORMAL;
#line 66 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_inactivity_reset = (guint) 0;
#line 68 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->default_theme_name_ = NULL;
#line 75 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->theme_name_ = NULL;
#line 88 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->block_uris_regex = NULL;
#line 116 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_custom_title = NULL;
#line 118 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_location_entry_search = NULL;
#line 120 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_clear_private_data = 0;
#line 122 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_clear_data = NULL;
#line 124 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_compact_sidepanel = FALSE;
#line 126 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_open_panels_in_windows = FALSE;
#line 128 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_right_align_sidepanel = FALSE;
#line 130 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_show_menubar = FALSE;
#line 131 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_show_navigationbar = TRUE;
#line 132 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_show_bookmarkbar = FALSE;
#line 133 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_show_panel = FALSE;
#line 134 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_show_statusbar = TRUE;
#line 136 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_show_crash_dialog = TRUE;
#line 137 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp0_ = g_strdup ("TabNew,Back,NextForward,ReloadStop,BookmarkAdd,Location,Search,Trash,C" \
"ompactMenu");
#line 137 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_toolbar_items = _tmp0_;
#line 141 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_find_while_typing = FALSE;
#line 143 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_zoom_level = 1.0;
#line 145 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_open_popups_in_tabs = TRUE;
#line 148 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_kinetic_scrolling = TRUE;
#line 150 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_middle_click_opens_selection = TRUE;
#line 151 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_flash_window_on_new_bg_tabs = FALSE;
#line 153 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_close_buttons_on_tabs = TRUE;
#line 154 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_open_tabs_in_the_background = TRUE;
#line 155 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_open_tabs_next_to_current = TRUE;
#line 156 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_always_show_tabbar = TRUE;
#line 158 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp1_ = g_strdup ("http://start.fedoraproject.org");
#line 158 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_homepage = _tmp1_;
#line 159 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp2_ = g_strdup ("about:dial");
#line 159 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_tabhome = _tmp2_;
#line 164 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_tmp3_ = midori_settings_default_download_folder ();
#line 164 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_download_folder = _tmp3_;
#line 165 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_text_editor = NULL;
#line 167 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_news_aggregator = NULL;
#line 169 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_http_proxy = NULL;
#line 172 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_http_proxy_port = 8080;
#line 175 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_maximum_cache_size = 100;
#line 177 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_strip_referer = TRUE;
#line 179 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_first_party_cookies_only = TRUE;
#line 181 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_maximum_cookie_age = 30;
#line 183 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self->priv->_maximum_history_age = 30;
#line 2445 "midori-settings.c"
}


static void midori_settings_finalize (GObject* obj) {
	MidoriSettings * self;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MIDORI_TYPE_SETTINGS, MidoriSettings);
#line 68 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_g_free0 (self->priv->default_theme_name_);
#line 75 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_g_free0 (self->priv->theme_name_);
#line 88 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_g_regex_unref0 (self->priv->block_uris_regex);
#line 116 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_g_free0 (self->priv->_custom_title);
#line 118 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_g_free0 (self->priv->_location_entry_search);
#line 122 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_g_free0 (self->priv->_clear_data);
#line 137 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_g_free0 (self->priv->_toolbar_items);
#line 158 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_g_free0 (self->priv->_homepage);
#line 159 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_g_free0 (self->priv->_tabhome);
#line 164 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_g_free0 (self->priv->_download_folder);
#line 165 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_g_free0 (self->priv->_text_editor);
#line 167 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_g_free0 (self->priv->_news_aggregator);
#line 169 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	_g_free0 (self->priv->_http_proxy);
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	G_OBJECT_CLASS (midori_settings_parent_class)->finalize (obj);
#line 2481 "midori-settings.c"
}


GType midori_settings_get_type (void) {
	static volatile gsize midori_settings_type_id__volatile = 0;
	if (g_once_init_enter (&midori_settings_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (MidoriSettingsClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) midori_settings_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (MidoriSettings), 0, (GInstanceInitFunc) midori_settings_instance_init, NULL };
		GType midori_settings_type_id;
		midori_settings_type_id = g_type_register_static (WEBKIT_TYPE_WEB_SETTINGS, "MidoriSettings", &g_define_type_info, 0);
		g_once_init_leave (&midori_settings_type_id__volatile, midori_settings_type_id);
	}
	return midori_settings_type_id__volatile;
}


static void _vala_midori_settings_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	MidoriSettings * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MIDORI_TYPE_SETTINGS, MidoriSettings);
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	switch (property_id) {
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_ENABLE_JAVASCRIPT:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_boolean (value, midori_settings_get_enable_javascript (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_DEFAULT_CHARSET:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_take_string (value, midori_settings_get_default_charset (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_ZOOM_TEXT_AND_IMAGES:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_boolean (value, midori_settings_get_zoom_text_and_images (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_REMEMBER_LAST_WINDOW_SIZE:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_boolean (value, midori_settings_get_remember_last_window_size (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_LAST_WINDOW_WIDTH:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_int (value, midori_settings_get_last_window_width (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_LAST_WINDOW_HEIGHT:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_int (value, midori_settings_get_last_window_height (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_LAST_PANEL_POSITION:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_int (value, midori_settings_get_last_panel_position (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_LAST_PANEL_PAGE:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_int (value, midori_settings_get_last_panel_page (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_LAST_WEB_SEARCH:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_int (value, midori_settings_get_last_web_search (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_SEARCH_WIDTH:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_int (value, midori_settings_get_search_width (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_LAST_INSPECTOR_ATTACHED:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_boolean (value, midori_settings_get_last_inspector_attached (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_LAST_WINDOW_STATE:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_enum (value, midori_settings_get_last_window_state (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_INACTIVITY_RESET:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_uint (value, midori_settings_get_inactivity_reset (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_DEFAULT_THEME_NAME:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_string (value, midori_settings_get_default_theme_name (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_THEME_NAME:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_string (value, midori_settings_get_theme_name (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_BLOCK_URIS:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_string (value, midori_settings_get_block_uris (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_CUSTOM_TITLE:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_string (value, midori_settings_get_custom_title (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_LOCATION_ENTRY_SEARCH:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_string (value, midori_settings_get_location_entry_search (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_CLEAR_PRIVATE_DATA:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_int (value, midori_settings_get_clear_private_data (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_CLEAR_DATA:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_string (value, midori_settings_get_clear_data (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_COMPACT_SIDEPANEL:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_boolean (value, midori_settings_get_compact_sidepanel (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_OPEN_PANELS_IN_WINDOWS:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_boolean (value, midori_settings_get_open_panels_in_windows (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_RIGHT_ALIGN_SIDEPANEL:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_boolean (value, midori_settings_get_right_align_sidepanel (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_SHOW_MENUBAR:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_boolean (value, midori_settings_get_show_menubar (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_SHOW_NAVIGATIONBAR:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_boolean (value, midori_settings_get_show_navigationbar (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_SHOW_BOOKMARKBAR:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_boolean (value, midori_settings_get_show_bookmarkbar (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_SHOW_PANEL:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_boolean (value, midori_settings_get_show_panel (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_SHOW_STATUSBAR:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_boolean (value, midori_settings_get_show_statusbar (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_SHOW_CRASH_DIALOG:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_boolean (value, midori_settings_get_show_crash_dialog (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_TOOLBAR_ITEMS:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_string (value, midori_settings_get_toolbar_items (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_FIND_WHILE_TYPING:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_boolean (value, midori_settings_get_find_while_typing (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_ZOOM_LEVEL:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_double (value, midori_settings_get_zoom_level (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_OPEN_POPUPS_IN_TABS:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_boolean (value, midori_settings_get_open_popups_in_tabs (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_KINETIC_SCROLLING:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_boolean (value, midori_settings_get_kinetic_scrolling (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_MIDDLE_CLICK_OPENS_SELECTION:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_boolean (value, midori_settings_get_middle_click_opens_selection (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_FLASH_WINDOW_ON_NEW_BG_TABS:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_boolean (value, midori_settings_get_flash_window_on_new_bg_tabs (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_CLOSE_BUTTONS_ON_TABS:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_boolean (value, midori_settings_get_close_buttons_on_tabs (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_OPEN_TABS_IN_THE_BACKGROUND:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_boolean (value, midori_settings_get_open_tabs_in_the_background (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_OPEN_TABS_NEXT_TO_CURRENT:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_boolean (value, midori_settings_get_open_tabs_next_to_current (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_ALWAYS_SHOW_TABBAR:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_boolean (value, midori_settings_get_always_show_tabbar (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_HOMEPAGE:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_string (value, midori_settings_get_homepage (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_TABHOME:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_string (value, midori_settings_get_tabhome (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_DOWNLOAD_FOLDER:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_string (value, midori_settings_get_download_folder (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_TEXT_EDITOR:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_string (value, midori_settings_get_text_editor (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_NEWS_AGGREGATOR:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_string (value, midori_settings_get_news_aggregator (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_HTTP_PROXY:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_string (value, midori_settings_get_http_proxy (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_HTTP_PROXY_PORT:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_int (value, midori_settings_get_http_proxy_port (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_MAXIMUM_CACHE_SIZE:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_int (value, midori_settings_get_maximum_cache_size (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_STRIP_REFERER:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_boolean (value, midori_settings_get_strip_referer (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_FIRST_PARTY_COOKIES_ONLY:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_boolean (value, midori_settings_get_first_party_cookies_only (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_MAXIMUM_COOKIE_AGE:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_int (value, midori_settings_get_maximum_cookie_age (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_MAXIMUM_HISTORY_AGE:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		g_value_set_int (value, midori_settings_get_maximum_history_age (self));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 2814 "midori-settings.c"
		default:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 2820 "midori-settings.c"
	}
}


static void _vala_midori_settings_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	MidoriSettings * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MIDORI_TYPE_SETTINGS, MidoriSettings);
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
	switch (property_id) {
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_ENABLE_JAVASCRIPT:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_enable_javascript (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_DEFAULT_CHARSET:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_default_charset (self, g_value_get_string (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_ZOOM_TEXT_AND_IMAGES:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_zoom_text_and_images (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_REMEMBER_LAST_WINDOW_SIZE:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_remember_last_window_size (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_LAST_WINDOW_WIDTH:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_last_window_width (self, g_value_get_int (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_LAST_WINDOW_HEIGHT:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_last_window_height (self, g_value_get_int (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_LAST_PANEL_POSITION:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_last_panel_position (self, g_value_get_int (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_LAST_PANEL_PAGE:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_last_panel_page (self, g_value_get_int (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_LAST_WEB_SEARCH:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_last_web_search (self, g_value_get_int (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_SEARCH_WIDTH:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_search_width (self, g_value_get_int (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_LAST_INSPECTOR_ATTACHED:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_last_inspector_attached (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_LAST_WINDOW_STATE:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_last_window_state (self, g_value_get_enum (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_INACTIVITY_RESET:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_inactivity_reset (self, g_value_get_uint (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_THEME_NAME:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_theme_name (self, g_value_get_string (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_BLOCK_URIS:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_block_uris (self, g_value_get_string (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_CUSTOM_TITLE:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_custom_title (self, g_value_get_string (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_LOCATION_ENTRY_SEARCH:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_location_entry_search (self, g_value_get_string (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_CLEAR_PRIVATE_DATA:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_clear_private_data (self, g_value_get_int (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_CLEAR_DATA:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_clear_data (self, g_value_get_string (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_COMPACT_SIDEPANEL:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_compact_sidepanel (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_OPEN_PANELS_IN_WINDOWS:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_open_panels_in_windows (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_RIGHT_ALIGN_SIDEPANEL:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_right_align_sidepanel (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_SHOW_MENUBAR:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_show_menubar (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_SHOW_NAVIGATIONBAR:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_show_navigationbar (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_SHOW_BOOKMARKBAR:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_show_bookmarkbar (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_SHOW_PANEL:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_show_panel (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_SHOW_STATUSBAR:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_show_statusbar (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_SHOW_CRASH_DIALOG:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_show_crash_dialog (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_TOOLBAR_ITEMS:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_toolbar_items (self, g_value_get_string (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_FIND_WHILE_TYPING:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_find_while_typing (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_ZOOM_LEVEL:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_zoom_level (self, g_value_get_double (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_OPEN_POPUPS_IN_TABS:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_open_popups_in_tabs (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_KINETIC_SCROLLING:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_kinetic_scrolling (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_MIDDLE_CLICK_OPENS_SELECTION:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_middle_click_opens_selection (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_FLASH_WINDOW_ON_NEW_BG_TABS:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_flash_window_on_new_bg_tabs (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_CLOSE_BUTTONS_ON_TABS:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_close_buttons_on_tabs (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_OPEN_TABS_IN_THE_BACKGROUND:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_open_tabs_in_the_background (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_OPEN_TABS_NEXT_TO_CURRENT:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_open_tabs_next_to_current (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_ALWAYS_SHOW_TABBAR:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_always_show_tabbar (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_HOMEPAGE:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_homepage (self, g_value_get_string (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_TABHOME:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_tabhome (self, g_value_get_string (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_DOWNLOAD_FOLDER:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_download_folder (self, g_value_get_string (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_TEXT_EDITOR:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_text_editor (self, g_value_get_string (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_NEWS_AGGREGATOR:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_news_aggregator (self, g_value_get_string (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_HTTP_PROXY:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_http_proxy (self, g_value_get_string (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_HTTP_PROXY_PORT:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_http_proxy_port (self, g_value_get_int (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_MAXIMUM_CACHE_SIZE:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_maximum_cache_size (self, g_value_get_int (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_STRIP_REFERER:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_strip_referer (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_FIRST_PARTY_COOKIES_ONLY:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_first_party_cookies_only (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_MAXIMUM_COOKIE_AGE:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_maximum_cookie_age (self, g_value_get_int (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		case MIDORI_SETTINGS_MAXIMUM_HISTORY_AGE:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		midori_settings_set_maximum_history_age (self, g_value_get_int (value));
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 3136 "midori-settings.c"
		default:
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 23 "/builddir/build/BUILD/midori-0.5.5/midori/midori-settings.vala"
		break;
#line 3142 "midori-settings.c"
	}
}



